al_load_ttf_font_stretch_f(3)

NAME

al_load_ttf_font_stretch_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_ttf.h>
    ALLEGRO_FONT *al_load_ttf_font_stretch_f(ALLEGRO_FILE *file,
        char const *filename, int w, int h, int flags)

DESCRIPTION

Like al_load_ttf_font_stretch(3), but the font is read from the file handle. The filename is only used to find possible additional files next to a font file.

    Note: The file handle is owned by the returned ALLEGRO_FONT object and must not be freed by the caller, as FreeType expects to be able to read from it at a later time.

SINCE

5.0.6, 5.1.0

SEE ALSO

al_load_ttf_font_stretch(3)